.TH KALEID 1
.PD
.ad b
.SH NAME
kaleid \- X11 Kaleidoscope Display
.SH SYNOPSIS
.TP \w'\fBkaleid\fR 'u
\fBkaleid\fR
[\|\fB-bd\fR border\|] [\|\fB-bg\fR background\|]
[\|\fB-bstore\fR\|]
[\|\fB-bw\fR borderwidth\|]
[\|\fB-clip\fR x,y,w,h\|[\|,x,y,w,h\|[\|,...\|]\|]\|]
[\|\fB-colors\fR color1\|[\|,color2\|[\|,...\|]\|]\|]
[\|\fB-delay\fR msec\|] [\|\fB-display\fR displayname\|]
[\|\fB-geometry\fR geometry\|] [\|\fB-icondelay\fR msec\|] [\|\fB-iconic\fR\|]
[\|\fB-mono\fR\|] [\|\fB-mult\fR number\|] [\|\fB-qix\fR\|] [\|\fB-r\fR\|]
[\|\fB-randomcolor\fR\|] [\|\fB-refresh\fR\|]
.SH HP-UX COMPATIBILITY
.TP 10
Origin:
User Contributed
.SH DESCRIPTION
.I Kaleid
runs a colorful kaleidoscope display in an X11 window.  The 16-color
palette is chosen to approximate the default palette found on EGA and
VGA displays.
.PP
With window managers that support icon windows (such as \fIuwm\fR), the
\fIkaleid\fR icon is a small kaleidoscope window that runs a slow
kaleidoscope display (see \fB-icondelay\fR option, below).
.PP
Options:
.TP .5i
.B -bd
Specify border color; defaults to white.
.TP
.B -bg
Specify background color; defaults to black.
.TP
.B -bstore
Enable backing store on \fIkaleid\fR windows.
.TP
.B -bw
Specify border width in pixels; defaults to 2.
.TP
.B -clip
Specify clipping rectangles to be used in the \fIkaleid\fR window(s).
You can specify one or more clipping rectangles by x, y, width, and
height \fIin floating-point coordinates\fR.  The values specified are
scaled to the window size, and can range from 0.0 to 1.0.  So ``-clip
0,0,1,1'' specifies the entire window, while ``-clip
0,0,.5,.5,.5,.5,.5,.5'' specifies the upper-left and lower-right
quadrants of the window.  Note that \fIkaleid\fR does \fInot\fR check
for reasonable values, nor does it check for violation of X's
requirement that clipping rectangles not overlap.
.TP
.B -colors
Specify up to 16 colors to use instead of the default palette.  This
option is overridden by the \fB-randomcolors\fR option.  Example of
syntax: ``-colors red,green''.  If a color is specified that does
not exist in the server's rgb database, color allocation will silently
fail.
.TP
.B -delay
Specify a delay (in msec) to be performed between drawing each set of
lines \(em can be used to avoid swamping the X11 server.  Defaults to 10
(100 when \fB-r\fR option, below, is used).
.TP
.B -display
Specify display on which to run; defaults to contents of DISPLAY
environment variable.
.TP
.B -geometry
Specify window geometry; defaults to =300x300+0+0.
.TP
.B -icondelay
Specify the delay to be used when drawing to the \fIkaleid\fR icon.
Defaults to 100 msec.
.TP
.B -iconic
Cause \fIkaleid\fR to come up in the iconic state.
.TP
.B -mono
Force \fIkaleid\fR to run in monochrome mode (default behavior on
a monochrome display).
.TP
.B -mult
Run specified number of \fIkaleid\fR windows.  Each window is a
top-level window with an associated icon.  See the note on WINDOW
MANAGER INTERACTIONS (below) for details on where the multiple windows
get mapped.
.TP
.B -qix
Run a completely different ``Qix''-type drawing algorithm instead of
kaleidoscope.
.TP
.B -r
Run \fIkaleid\fR in the root window.  This option causes \fIkaleid\fR to
ignore all options irrelevant to running in the root window, with one
exception: the geometry string is interpreted in a strange and
different manner.  The width and height are interpreted as number of
horizontal and vertical sections into which the root window is divided.
For example, a geometry specification of =3x2 will result in six
kaleidoscope patterns laid out in a 3x2 array in the root window.
.TP
.B -randomcolor
Instead of the standard palette, use a randomly-generated palette that
is randomly changed at times during \fIkaleid\fR's execution.  This
option causes kaleid to allocate read/write color cells instead of
read-only color cells, and will not work on a display whose default
visual type is StaticColor, StaticGray, or TrueColor.
.TP
.B -refresh
If an obscured portion a window containing a \fIkaleid\fR display is
exposed, refresh the window.  This results in redrawing everything that
has been drawn since the last time the window was cleared.
.SH NOTE
Specifying a delay (icondelay) value of 0 will cause \fIkaleid\fR to
draw into its window (icon) at top speed, bogging down your server and,
if \fIkaleid\fR is run remotely, your network.  The default delay value
was chosen to work well on a fast CPU with a fast X server -- it is
probably too low for many systems.
.PP
If \fIkaleid\fR and the server are running on the same CPU, running
\fIkaleid\fR with a higher nice (nice(1)) value will usually produce
good results without 1) swamping the server, and 2) requiring you to
impose an unpleasantly long delay.
.SH AUTHORSHIP
There have been many different kaleidoscope programs for many different
flavors of computers and PCs over the years.  The kaleidoscope algorithm
in \fIkaleid\fR was derived from the public-domain kaleidoscope program
for IBM PCs by Judson D. McClendon (Sun Valley Systems, 329 37th Court
N.E., Birmingham, AL, 35215, CompuServe address [74415,1003]).  X11
\fIkaleid\fR was written by Nathan Meyers of Hewlett-Packard
(nathanm@hp-pcd.hp.com).
.SH WINDOW MANAGER INTERACTIONS
Some window managers do not appear to cope very well with window icons,
resulting in strange icon behavior.  \fIUwm\fR does not suffer from this
problem, although problems can occur when changing window managers (to
or from \fIuwm\fR) during execution of \fIkaleid\fR.
.PP
On window managers that support window icons and that specify icon
sizing hints, \fIkaleid\fR will respect the icon sizing hints, creating
the largest permissible icon.  Without icon sizing hints, the default
icon size is 64x64.
.PP
\fIKaleid\fR maps all of its top-level windows to =+0+0 unless
overridden by a geometry string, and all of its icon windows to =+0+0.
Where the windows and icons actually \fIend up\fR is a function of how
your window manager handles placement of windows and icons.  \fIUwm\fR,
for example, will request manual window placement for each top-level
window if a geometry string is not specified, but will leave all icons
mapped at =+0+0.  Conversely, with window managers that maintain
galleries or grids of icons, multiple \fIkaleid\fR icons can be
spectacular.
